CALAMARES(8)

NAME
calamares - distribution-independent system installer

SYNOPSIS
calamares [options]

DESCRIPTION
calamares is a distribution-independent system installer, with an advanced partitioning feature for both manual and automated partitioning operations. It is the first installer with an automated “Replace Partition” option, which makes it easy to reuse a partition over and over for distribution testing. Calamares is designed to be customizable by distribution maintainers without need for cumbersome patching, thanks to third party branding and external modules support.

OPTIONS

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-d, --debug
    Debugging mode for testing purposes. Implies -D8 and -c..

-D <level>
    Sets logging-level. Higher numbers are more verbose.

-c, --config <config>
    Configuration directory to use, for testing purposes.

-X, --xdg-config
    Use XDG environment variables for file lookup.

-T, --debug-translation
    Use translations from current directory.

FILES
calamares reads its configuration from many files. The first configuration file is settings.conf which is located in one of the configuration locations. When started with -d calamares looks in the current directory for a settings file. When started with -X calamares looks in the directories specified by XDG_CONFIG_DIRS for a settings file. If no settings file is found elsewhere, calamares looks in pre-configured directories like /etc . The contents of the settings.conf file dictate where other configuration files are located, and which configuration files are used.

SEE ALSO
The calamares website: https://calamares.io . The command-line arguments for calamares are primarily for developers convenience and should not be needed in nearly any situation in which calamares is deployed. Most live CD environments and OEM installations should have installed configuration files in their correct system-wide locations.

BUGS
Please report any bugs to https://github.com/calamares/calamares/issues

AUTHORS
calamares is written by Teo Mrnjavac <teo@kde.org>, Adriaan de Groot <groot@kde.org> and an international group of contributors.

This man page is written by Jonathan Carter <jcarter@linux.com>